# std::__index_holder_impl< __i, __index_holder< _Indexes...>, _IdxHolder, _Elements...> Struct Template Reference

List of all members.

## Detailed Description

### template<int __i, int... _Indexes, typename _IdxHolder, typename... _Elements>
struct std::__index_holder_impl< __i, __index_holder< _Indexes...>, _IdxHolder, _Elements...>

Definition at line 529 of file tuple.

## Public Types

- typedef __index_holder_impl<
  __i+1, __index_holder< _Indexes...,
  __i >, _Elements...>::type type

The documentation for this struct was generated from the following file:

- tuple